#
# spec file for package rubygem-delayed_job
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-delayed_job
Version:        4.1.11
Release:        1.5
%define mod_name delayed_job
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
URL:            http://github.com/collectiveidea/delayed_job
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Database-backed asynchronous priority queue system -- Extracted from
License:        MIT
Group:          Development/Languages/Ruby

%description
Delayed_job (or DJ) encapsulates the common pattern of asynchronously
executing longer tasks in the background. It is a direct extraction from
Shopify where the job table is responsible for a multitude of core tasks.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE.md README.md" \
  -f

%gem_packages

%changelog
* Mon Oct 10 2022 Stephan Kulow <coolo@suse.com>
  updated to version 4.1.11
  see installed CHANGELOG.md
  4.1.11 - 2022-09-28
  ===================
  * Fix missing require for Rails 7.0.3+
* Tue Jan 25 2022 Stephan Kulow <coolo@suse.com>
  updated to version 4.1.10
  see installed CHANGELOG.md
  4.1.10 - 2022-01-17
  ===================
  * Support for Rails 7.0. NOTE: If you are using Delayed Job independent of Rails, Active Support 7 has dropped classic dependency autoloading. You will need to add and setup zeitwerk for autoloading to continue working in ActiveSupport 7.
* Sun Dec 20 2020 Matthew Trescott <matthewtrescott@gmail.com>
- updated to version 4.1.9
    Support for Rails 6.1
    Add support for parameterized mailers via delay call (#1121)
* Mon Feb 10 2020 Stephan Kulow <coolo@suse.com>
- updated to version 4.1.8
  see installed CHANGELOG.md
  4.1.8 - 2019-08-16
  =================
  * Support for Rails 6.0.0
* Fri Jul 19 2019 Stephan Kulow <coolo@suse.com>
- updated to version 4.1.7
  see installed CHANGELOG.md
  4.1.7 - 2019-06-20
  =================
  * Fix loading Delayed::PerformableMailer when ActionMailer isn't loaded yet
  4.1.6 - 2019-06-19
  =================
  * Properly initialize ActionMailer outside railties (#1077)
  * Fix Psych load_tags support (#1093)
  * Replace REMOVED with FAILED in log message (#1048)
  * Misc doc updates (#1052, #1074, #1064, #1063)
* Fri Apr 13 2018 factory-auto@kulow.org
- updated to version 4.1.5
  see installed CHANGELOG.md
  4.1.5 - 2018-04-13
  =================
  * Allow Rails 5.2
* Tue Jan  9 2018 coolo@suse.com
- updated to version 4.1.4
  see installed CHANGELOG.md
  4.1.4 - 2017-12-29
  =================
  * Use `yaml_tag` instead of deprecated `yaml_as` (#996)
  * Support ruby 2.5.0
* Tue May 30 2017 coolo@suse.com
- updated to version 4.1.3
  see installed CHANGELOG.md
  4.1.3 - 2017-05-26
  =================
  * Don't mutate the options hash (#877)
  * Log an error message when a deserialization error occurs (#894)
  * Adding the queue name to the log output (#917)
  * Don't include ClassMethods with MessageSending (#924)
  * Fix YAML deserialization error if original object is soft-deleted (#947)
  * Add support for Rails 5.1 (#982)
* Tue May 17 2016 coolo@suse.com
- updated to version 4.1.2
  see installed CHANGELOG.md
  4.1.2 - 2016-05-16
  * Added Delayed::Worker.queue_attributes
  * Limit what we require in ActiveSupport
  * Fix pid file creation when there is no tmp directory
  * Rails 5 support
* Fri Sep 25 2015 coolo@suse.com
- updated to version 4.1.1
  see installed CHANGELOG.md
  4.1.1 - 2015-09-24
  ==================
  * Fix shared specs for back-ends that reload objects
* Wed Sep 23 2015 coolo@suse.com
- updated to version 4.1.0
  see installed CHANGELOG.md
  4.1.0 - 2015-09-22
  ==================
  * Alter `Delayed::Command` to work with or without Rails
  * Allow `Delayed::Worker.delay_jobs` configuration to be a proc
  * Add ability to set destroy failed jobs on a per job basis
  * Make `Delayed::Worker.new` idempotent
  * Set quiet from the environment
  * Rescue `Exception` instead of `StandardError` in worker
  * Fix worker crash on serialization error
* Tue Feb 10 2015 coolo@suse.com
- updated to version 4.0.6
* Sun Oct 12 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Mon Apr 21 2014 coolo@suse.com
- updated to version 4.0.1
  * Update gemspec for Rails 4.1
  * Make logger calls more universal
  * Check that records are persisted? instead of new_record?
* Wed Jul 31 2013 coolo@suse.com
- updated to version 4.0.0
  * Rails 4 compatibility
  * Reverted threaded startup due to daemons incompatibilities
  * Attempt to recover from job reservation errors
  * Rails 4 compatibility
  * Threaded startup script for faster multi-worker startup
  * YAML compatibility changes
  * Added jobs:check rake task
* Sun Feb  3 2013 coolo@suse.com
- updated to version 3.0.5
  * Better job timeout error logging
  * psych support for delayed_job_data_mapper deserialization
  * User can configure the worker to raise a SignalException on TERM and/or INT
  * Add the ability to run all available jobs and exit when complete
* Mon Nov 12 2012 coolo@suse.com
- updated to version 3.0.4, no changelog
* Fri Aug 10 2012 coolo@suse.com
- updated to version 3.0.3, moving it out of the -3_0 package
  as our new policy says latest upstream is without suffix
* Mon May 28 2012 jreidinger@suse.com
- do not specify exact major version if it is not needed. It
  prevents build with rails 3.2
* Tue Dec  6 2011 fcastelli@suse.com
- update to version 2.1.4
* Fri Jun 11 2010 mrueckert@suse.de
- update to version 2.0.3
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Fri Nov 13 2009 mrueckert@suse.de
- initial package
